com.corticon.eclipse.studio.vocabulary.core

## Class DataTypes

- java.lang.Object
- - com.corticon.eclipse.studio.vocabulary.core.DataTypes

-     public class DataTypes
      extends java.lang.Object

  DataTypes provides various lookup and conversion functions related to Corticon, EMF data types and "external" types.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTypes()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `convertEDataTypeToUIType(org.eclipse.emf.ecore.EDataType aEDataType)` Given an EDataType, return the corresponding Corticon (UI) type.
    `static java.util.Vector` | `convertExternalTypeToUIType(java.lang.String astrExternalType)` Given an external type name, return the corresponding Corticon (UI) type.
    `static java.lang.String` | `convertJavaClassNameToUIType(java.lang.String astrJavaClassName)` Given a java class name, return the corresponding Corticon (UI) type.
    `static org.eclipse.emf.ecore.EDataType` | `convertUITypeToEDataType(java.lang.String astrDataType)` Given a Corticon (UI) data type, return the corresponding EDataType.
    `static java.lang.String` | `convertUITypeToJavaClassName(java.lang.String astrDataType)` Given a Corticon (UI) data type, return the corresponding java class name.
    `static boolean` | `isValidExternalCollectionType(java.lang.String astrExternalType)` Return `true` if the specified class name is a supported external collection type.
    `static boolean` | `isValidExternalType(java.lang.String astrExternalType)` Return `true` if the specified external type is a supported external type.
    `static boolean` | `isValidUIType(java.lang.String astrTypeName)` Return `true` if the specified name is a valid Corticon data type name.
    `static boolean` | `isValidUITypeIgnoreCase(java.lang.String astrTypeName)` Return `true` if the specified name is a valid Corticon data type name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTypes

          public DataTypes()

  - ### Method Detail

    - #### convertUITypeToEDataType

          public static org.eclipse.emf.ecore.EDataType convertUITypeToEDataType(java.lang.String astrDataType)

      Given a Corticon (UI) data type, return the corresponding EDataType.
      Parameters:
        `astrDataType` - Corticon UI data type.
      Returns:
        EMF EDataType.

    - #### convertEDataTypeToUIType

          public static java.lang.String convertEDataTypeToUIType(org.eclipse.emf.ecore.EDataType aEDataType)

      Given an EDataType, return the corresponding Corticon (UI) type.
      Parameters:
        `aEDataType` - EMF EDataType.
      Returns:
        Corticon UI data type (string).

    - #### convertUITypeToJavaClassName

          public static java.lang.String convertUITypeToJavaClassName(java.lang.String astrDataType)

      Given a Corticon (UI) data type, return the corresponding java class name.
      Parameters:
        `astrDataType` - Corticon UI data type.
      Returns:
        Java class name.

    - #### convertJavaClassNameToUIType

          public static java.lang.String convertJavaClassNameToUIType(java.lang.String astrJavaClassName)

      Given a java class name, return the corresponding Corticon (UI) type.
      Parameters:
        `astrJavaClassName` - Instance class name
      Returns:
        Corticon UI data type (string).

    - #### convertExternalTypeToUIType

          public static java.util.Vector convertExternalTypeToUIType(java.lang.String astrExternalType)

      Given an external type name, return the corresponding Corticon (UI) type.
      Parameters:
        `astrExternalType` - External name (primitive or fully-qualified class name).
      Returns:
        Vector of possible Corticon UI data type (string).

    - #### isValidUIType

          public static boolean isValidUIType(java.lang.String astrTypeName)

      Return `true` if the specified name is a valid Corticon data type name.
      Parameters:
        `astrTypeName` - UI Type name.
      Returns:
        `true` if name is a valid UI type.

    - #### isValidUITypeIgnoreCase

          public static boolean isValidUITypeIgnoreCase(java.lang.String astrTypeName)

      Return `true` if the specified name is a valid Corticon data type name. Comparison will be done in a case-insensitive manner.
      Parameters:
        `astrTypeName` - UI Type name.
      Returns:
        `true` if name is a valid UI type.

    - #### isValidExternalType

          public static boolean isValidExternalType(java.lang.String astrExternalType)

      Return `true` if the specified external type is a supported external type.
      Parameters:
        `astrExternalType` - External name (primitive or fully-qualified class name).
      Returns:
        `true` if name is a supported primitive or object type.

    - #### isValidExternalCollectionType

          public static boolean isValidExternalCollectionType(java.lang.String astrExternalType)

      Return `true` if the specified class name is a supported external collection type.
      Parameters:
        `astrExternalType` - External name (fully-qualified class name).
      Returns:
        `true` if name is a supported primitive or object type.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.